package com.nisum.ascend.inventory.service;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.event.ApplicationStartedEvent;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;
import reactor.kafka.receiver.KafkaReceiver;

@Component
@Slf4j
public class KafkaListenerService {

    @Autowired
    private KafkaReceiver<String, String> kafkaReceiver;

    @EventListener(ApplicationStartedEvent.class)
    public void consumeOrderMessages() {
        kafkaReceiver.receive()
                .doOnNext(record -> System.out.println(record))
                .doOnError(throwable -> System.out.println(throwable.getMessage()))
                .subscribe();
    }
}
